Run input through image filters before inference

- image filters run with near-zero latency as they are executed on the GPU

### Hierarchy

- FilterConfig

## Index

### Properties

- blur
- brightness
- contrast
- enabled
- flip
- height
- hue
- kodachrome
- negative
- pixelate
- polaroid
- return
- saturation
- sepia
- sharpness
- technicolor
- vintage
- width

## Properties

### blur

blur: number

- Defined in config.ts:155

Range: 0 (no blur) to N (blur radius in pixels)

### brightness

brightness: number

- Defined in config.ts:149

Range: -1 (darken) to 1 (lighten)

### contrast

contrast: number

- Defined in config.ts:151

Range: -1 (reduce contrast) to 1 (increase contrast)

### enabled

enabled: boolean

- Defined in config.ts:131

### flip

flip: boolean

- Defined in config.ts:147

Flip input as mirror image

### height

height: number

- Defined in config.ts:143

Resize input height

- if both width and height are set to 0, there is no resizing
- if just one is set, second one is scaled automatically
- if both are set, values are used as-is

### hue

hue: number

- Defined in config.ts:159

Range: 0 (no change) to 360 (hue rotation in degrees)

### kodachrome

kodachrome: boolean

- Defined in config.ts:167

Image kodachrome colors

### negative

negative: boolean

- Defined in config.ts:161

Image negative

### pixelate

pixelate: number

- Defined in config.ts:173

Range: 0 (no pixelate) to N (number of pixels to pixelate)

### polaroid

polaroid: boolean

- Defined in config.ts:171

Image polaroid camera effect

### return

return: boolean

- Defined in config.ts:145

Return processed canvas imagedata in result

### saturation

saturation: number

- Defined in config.ts:157

Range: -1 (reduce saturation) to 1 (increase saturation)

### sepia

sepia: boolean

- Defined in config.ts:163

Image sepia colors

### sharpness

sharpness: number

- Defined in config.ts:153

Range: 0 (no sharpening) to 1 (maximum sharpening)

### technicolor

technicolor: boolean

- Defined in config.ts:169

Image technicolor colors

### vintage

vintage: boolean

- Defined in config.ts:165

Image vintage colors

### width

width: number

- Defined in config.ts:137

Resize input width

- if both width and height are set to 0, there is no resizing
- if just one is set, second one is scaled automatically
- if both are set, values are used as-is